Error: Package: kmod-nvidia-430.40-2.el7_7.elrepo.x86_64 (elrepo) Requires: kernel(drm_mode_object_put) = 0x1

Issues related to applications and software problems
CaveDann
Posts: 21
Joined: 2018/12/14 15:05:27
Location: UK

Re: Error: Package: kmod-nvidia-430.40-2.el7_7.elrepo.x86_64 (elrepo) Requires: kernel(drm_mode_object_put) = 0x1

Post by CaveDann » 2019/08/15 14:20:38

TrevorH wrote:
2019/08/14 14:52:06
The ELRepo copy of kmod-nvidia (actually nvidia-x11-drv-libs) also provides the libs that come from ocl-icd which is why they conflict. If you have ELRepo's nvidia-x11-drv-libs then you don't need ocl-icd installed. Try yum remove ocl-icd and see what else it wants to remove with it.
Hey Trevor,

I removed ocl-icd earlier this morning. It took ffmpeg and some other packages off with it. However, each of the other packages could then be individually installed with no conflict.

I now have the elrepo NVIDIA drivers installed, it appears to have worked seamlessly (as expected).

Thanks for the assist. Useful guidance to have.

Cheers,
CD

xbatx
Posts: 76
Joined: 2010/08/28 08:49:31

Re: Error: Package: kmod-nvidia-430.40-2.el7_7.elrepo.x86_64 (elrepo) Requires: kernel(drm_mode_object_put) = 0x1

Post by xbatx » 2019/08/26 12:56:39

yes absolutely jump on. The more info the better.
CaveDann wrote:
2019/08/14 13:11:25
Can I jump on this thread too with my problem? (Edit: I should point out that I only ended up at this step from reading the posts above.)

Post Reply

Return to “CentOS 7 - Software Support”